%define rdate 20050310
Summary:	DRBL setup scripts
Name:		drbl-setup
Version:	1.3.7
Release:	2
License:	GPL
Group:		Development/DRBL
Source0:	drbl-desktop-%{rdate}.tgz
URL:		http://drbl.nchc.org.tw/
ExclusiveArch:	%{ix86}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	perl 
BuildRequires:  rsync

%description
DRBL (Diskless Remote boot in Linux) setup scripts.
Description :
Setup scripts for DRBL server, and comes with some tool programs to maintain the DRBL environment.
The drbl-setup package runs ok in RedHat 8.0/9, Fedora Core 1/2/3, Mandrake 9.2/10.0.
For more details, check 
1. http://drbl.sf.net (English)
2. http://drbl.nchc.org.tw (Chinese Big5 - Taiwan) 

%prep
%setup -q -n drbl-desktop-%{rdate}

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/opt/drbl/setup $RPM_BUILD_ROOT/opt/drbl/sbin $RPM_BUILD_ROOT/opt/drbl/conf $RPM_BUILD_ROOT/etc/sysconfig/drbl
rsync -a  --exclude=conf/ --exclude=sbin/ * $RPM_BUILD_ROOT/opt/drbl/setup
# mv the conf to /opt/drbl/
cp -a conf sbin $RPM_BUILD_ROOT/opt/drbl/
cp -a files/client-extra-service $RPM_BUILD_ROOT/etc/sysconfig/drbl/

%clean
rm -rf $RPM_BUILD_ROOT

%post
#echo "------------------------------------------------------------------"
#echo "Next step -> refer to one of the following to setup DRBL server:"
#echo "1. /opt/drbl/setup/English/drbl.sourceforge.net/redhat/index.html,"
#echo "2. /opt/drbl/setup/Chinese_Big5/drbl_redhat_mdk_4_steps.html,"
#echo "3. http://drbl.sf.net (English)"
#echo "4. http://drbl.nchc.org.tw (Chinese Big5 - Taiwan)"
#echo "------------------------------------------------------------------"

%files
%defattr(-,root,root)
/opt/drbl/setup/*
/opt/drbl/conf/*
/opt/drbl/sbin/*
/etc/sysconfig/drbl/*

%changelog
* Wed Mar 10 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-2
- Add check and install udev if necessary.
- The services for cleint to run will be checked before them are put into client's /etc/init.d
- Add an option to use existing yum core/updates config instead of overwritting it.

* Tue Mar 9 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-1
- Add x86_64 support for FC3.

* Tue Mar 8 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-36
- Add removing dhcp-server, yptools...  when uninstalling drbl in MDK.

* Tue Mar 8 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-35
- For MDK 10.1, use urpmi as the default installer.

* Mon Mar 7 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-34
- set yum as the default installer for FC3.

* Mon Mar 7 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-33
- fix the bug for unable to separate the drbl-testing and drbl-unstable yum repository.

* Sun Mar 6 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-32
- Separate the OS and DRBL repository choices for RH/FC/MDK.
- Bugs fixed.

* Wed Mar 2 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-31
- Let wget/glibc/openssl/kernel installation works without apt.
- add code to download dev and MAKEDEV rpm without apt-get.

* Fri Feb 25 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-30
- put client_kernel_install_option in drbl.conf so that it's easier to set it without touching drblsrv.

* Thu Feb 24 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-29
- separate the repository url to url_drbl and url_os.
- now we can find and install the latest kernel without apt.

* Wed Feb 23 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-28
- bug fixed, when kernel is not available in RPMS.os/RPMS.core, program won't stop, it will try to find it in RPMS.updates.

* Wed Feb 23 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-27
- add code to install client's kernel by rpm only, no apt-get or yum.

* Tue Feb 22 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-26
- merge drblsrv-rh and drblsrv-mdk to drblsrv, we do not separate them.

* Mon Feb 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-25
- rewrite drblsrv-rh using shell scripts only.

* Fri Feb 18 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-24
- Do NOT set the locale by "export LC_ALL=C" in drbl-functions. It will make dialog distortation.

* Fri Feb 18 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-23
- correct tyops.
- remove "-w, --website     Browse the NCHC DRBL website" in drblsrv-rh.
- reformat the Usage both in drblsrv-rh and drblsrv-mdk.

* Thu Feb 17 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-22
- For MDK, the arch is only i586, so add default setting apt_archi_set="i586" in drblsrv-mdk.sh.

* Thu Feb 17 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-21
- The kernel arch in the server should meet the client's requirement.

* Wed Feb 16 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-20
- if the latest kernel exists in the server, just copy it to common root, if else, apt-get install it.
- clean $ocsroot/ocsmgrd.lock when uninstalling.

* Wed Feb 16 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-19
- add /tftpboot/node_root/media and tmpfs mount in client's /etc/fstab, we need this for automount USB disk.

* Tue Feb 15 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-18
- add services - haldaemon messagebus for FC3... we need that for usb automount.

* Tue Feb 15 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-17
- move stop_ocs_if_necessry to drbl-client-switch from drbl-functions.

* Mon Feb 14 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-16
- fixed the bug - the HOST_OPT1 "$HOST_OPT2" does NOT work when drbl-client-switch run without "-h $IP_LIST"

* Mon Feb 14 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-15
- the hostname of client will use "-" instead of "_", which follows the rule when installing Fedora Core.
- update some functions in drbl-functions to make "drbl-client-switch --list-host" work.

* Sun Feb 6 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-14
- update drbl.conf.

* Sun Feb 6 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-13
- reduce one tab before the prompt "DRBL for Mandrake" in rc.sysinit.

* Sun Feb 6 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-12
- initial release for Mandrake Linux 10.1.

* Thu Feb 2 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-11
- the hostname of client will use "_" instead of "-"
- add code to delete the empty line and those comment line of MAC address file.
- add ddrescue isntallation.

* Fri Jan 28 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-10
- bug fixed.

* Fri Jan 28 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-9
- if unstable is chosen, we must set drbl_test_answer to yes.

* Thu Jan 27 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-8
- fix the bug when entered MAC file is not name as macadr-eth* 

* Thu Jan 27 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-7
- minor bugs fixed.
- add netgroup generation so that it's easier to add some export directory

* Sat Jan 22 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-6
- add a function to check the input MAC file.

* Fri Jan 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-5
- fix the bug for not allowing dot as domainname.

* Wed Jan 19 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-4
- fix the bugs for "ldd /sbin/depmod" and "ldd /sbin/chkconfig" in MDK 10.0

* Wed Jan 19 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-3
- add checking if initial digits in hostname prefix.
- follow Fedora Project Developer's Guide, turn off the standard output when installing drbl-setup.

* Tue Jan 18 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-2
- add drbl.sf.net + freshrpms.net (RH/Fedora) and drbl.sf.net + distro.ibiblio.org (MDK) as one of the sources when setup DRBL env.

* Mon Jan 17 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-1
- use the apt comes with MDK, no more made by DRBL.
- the freshrpms apt_dir is different to that of DRBL, use different name.
- turn off cups service in drbl clients.

* Thu Jan 13 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-26
- bug fixed, put cups in all versions if cups is on in the server.

* Thu Jan 13 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-25
- add /etc/sysconfig/drbl/client-extra-service so that use can specify services for clients before running drblpush -i.
- move purging client question to the end of prompt in drblpush.
- bug fixed, IIim in FC2, iiim in FC3, different names

* Thu Jan 13 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-24
- If cups and iiim is on in server, they will be on in the clients.
- fix the bug for searching latest kernel in Mandrake.

* Wed Jan 12 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-23
- add the new method to search latest_drbl_kernel_in_rep, now it will find the really latest kernel. 
- disable reconfiging ntp, user accounts... for clients... in /usr/sbin/firstboot in the firstboot service, we should not do it again in clients.

* Mon Jan 10 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-22
- add hints for yes/no options in the beginning.

* Sun Jan 09 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-21
- add some more notes.
- fix the bug of failing to show message $msg_install_kernel_might_take_several_minutes

* Fri Jan 07 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-20
- update some prompt in lang/bash

* Thu Jan 06 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-19
- force to remove /etc/sysconfig/firstboot in the common root initially.

* Thu Jan 06 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-18
- add drbl-extra as an option.
- remove xorg.conf in clients initially.

* Tue Jan 04 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-17
- add switch_all_clients_init in drbl-functions.

* Mon Jan 03 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-16
- Do not copy /dev/console, null, tty[0-5] from server to clients, now we use "mount -t tmpfs none /dev" in the beginning of initrd, so we will use mknode to create console, null, tty[0-5] runtime
- Add installing dos2unix in drblsrv-rh and drblsrv-mdk.

* Sun Jan 02 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-15
- fix the typo for if block.

* Sun Jan 02 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-14
- add udev support.
- works for FC3.

* Mon Dec 27 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-13
- change the sources.list to new dir arch for MDK in drbl-setup

* Mon Dec 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-12
- fix wget check bug
- comment the rpm-src, if user need that, just edit sources.list by himself.

* Mon Dec 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-11
- fix the config loading bug in drblsrv-mdk.
- filter the kernel with test lable (in contrib), we do not want that kernel for clients.

* Mon Dec 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-10
- forget to change the file names, like init.RHFC1.drbl -> init.FC1.drbl

* Mon Dec 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-9
- fix the version name bug for drblsrv

* Mon Dec 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-8
- Add installing parted in drblsrv-mdk.sh
- new code to install wget, chaget the RH*_wget_rpm to wget_rpm_RH8_0, wget_rpm_RH9

* Fri Dec 10 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-7
- Bug fixed, we should check the server's kernel config file for CONFIG_NFSD_TCP, not the one for clients.

* Fri Dec 10 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-6
- Copy the macadr-eth*.txt to temp working directory before changing dir.
- Check the kernel config file so we can know if server supports NFS over TCP or not. If not, just use NFS over UDP... So for Redhat 9, it will automatically got it's udp, not tcp...
- Add drbl-unstable option

* Sun Dec 5 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-5
- Add l10n for drbl-powerful-thin-switch.

* Sat Dec 4 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-4
- Fix the bug for not writting timeout in pexlinux.cfg/default.
- Some minor bugs fixed.

* Sat Dec 4 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-3
- Move the drbl-powerful-thin-switch to the last part of drblpush.
- Just ask user to restart/logout kdm/gdm to make the xdmcp config active.
- No more maintain firefly rpms, so skip that in drblsrv.

* Tue Nov 30 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-2
- Add thin client mode prompt in drblpush and option in drbl-client-system-select.

* Tue Nov 30 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-1
- Add thin client mode.

* Wed Nov 24 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.4-2
- Fix the bug for checking return code in space check.

* Tue Nov 23 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.4-1
- Add parameters common_root_dir and buffer_ratio_for_client_space in drbl.conf
- Add checking the harddisk space is enough or not

* Mon Nov 22 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.3-7
- The pre-saved collected MAC files now can dance with "drblpush -c /etc/sysconfig/drbl/drblpush.conf"

* Mon Nov 22 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.3-6
- Make it quiet when removing DRBL old setting files.

* Mon Nov 22 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.3-5
- fix the bug for unable to clean /tftpboot/* when uninstalling.

* Mon Nov 22 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.3-4
- check if the network card for DRBL environment uses dhcp or static IP, if dhcp, program stop!

* Mon Nov 22 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.3-3
- fix the bug for public IP.
- the drblpush.conf and public_ip_list will be copied to /etc/sysconfig/drbl, not /etc/drbl.

* Fri Nov 19 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.3-2
- unlink the drbl_range temp file when drbl.pl finishes.
- rename the config.interactive to be $DRBLPUSH_CONF="drblpush.conf";
- no more use the current working directory as the working directory. Use temp working directory in drblpush, so the temp created files will be cleaned clearly.
- copy the drblpush.conf to /etc/drbl, so we can re-run drblpush like "drblpush -c /etc/drbl/drblpush.conf"
- exclude the "." in hostname prefix

* Thu Nov 18 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.3-1
- move more setting from drbl-scripts to drbl-ocs. 
- add  a file: drbl-conf-functions

* Thu Nov 11 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.2-3
- add diskless.nchc.org.tw as one of the repository.

* Fri Nov 6 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.2-2drbl
- no more drbl kernel search, use regular kernel from distributions.

* Fri Nov 6 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.2-1drbl
- move stop_ocs_if_necessar() from drbl-ocs to drbl-functions.
- add active_proc_partitions().

* Wed Nov 3 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.1-3drbl
- add active_proc_partitions in drbl-functions so that SCSI devices can be found in drbl-ocs.

* Tue Nov 2 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.1-2drbl
- change the function name set_clients_rc1_passwd in drbl-functions

* Tue Nov 2 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.1-1drbl
- write and move more functions from drbl-ocs to drbl-functions.

* Fri Oct 30 2004 Steven Shiau <steven _at_ nchc org tw> 1.3-1drbl
- Rewrite the program, add /opt/drbl/conf/drbl.conf, /opt/drbl/sbin/drbl-functions and /opt/drbl/sbin/drbl-perl-functions

* Sun Oct 17 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-10drbl
- Use "rsync -a -u" to update files for clients, so now it's not necessary to reboot clients when run "drblpush -i" and select keep the setting. The sshd and other auth mechanism still work without rebooting.

* Sat Oct 11 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-9drbl
- add LC_ALL=C to ` ` in drblpush, thanks to Abdellah Soubaa from France for providing the envorinment to test.

* Sat Oct 9 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-8drbl
- add LC_ALL=C to drblpush system().

* Fri Sep 24 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-7drbl
- fix the bug for SMP.

* Thu Sep 9 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-6drbl
- more clear prompt sentence.

* Thu Sep 9 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-5drbl
- more clear prompt sentence.

* Wed Sep 8 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-4drbl
- write more clear sentence about the dhcp server will provide the same IP address...

* Mon Sep 6 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-3drbl
- fix the bug for unable to get username in drblpush in Mandrake.

* Sat Aug 21 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-2drbl
- when uninstall in mandrake, do not using apt-get remove to remove the kernel in server! Now the kernel is installed directly in /tftpboot/node_root.

* Sat Aug 21 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-1drbl
- drbl kernel is installed into /tftpboot/node_root directly, so now server
and clients can use same version kernel but different archi.
- add ntpd in DRBL server, and client will sync with DRBL server and pool.ntp.org
- fix some bugs.

* Fri Aug 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.1-7drbl
- fix the bug when uninstalling drbl, the language parameter was empty.

* Sun Aug 01 2004 Steven Shiau <steven _at_ nchc org tw> 1.1-6drbl
- add more descriptions when asking collecting MAC address.
- update the MDK 10.0 official version tag.

* Sat Jul 24 2004 Steven Shiau <steven _at_ nchc org tw> 1.1-5drbl
- add -l|--language option for drblsrv and drblpush so that the language will be consistent with drbl4imp.
- add woody-netinstall in PXE menu.

* Fri Jul 23 2004 Steven Shiau <steven _at_ nchc org tw> 1.1-4drbl
- Add pause in drbl4imp when user chooses to go.
- Make client's hostname shorter.

* Thu Jul 22 2004 Steven Shiau <steven _at_ nchc org tw> 1.1-3drbl
- Add drbl4imp (drbl 4 impatient) to let those impatient to setup DRBL server with default values.

* Tue Jul 20 2004 Steven Shiau <steven _at_ nchc org tw> 1.1-2drbl
- Add codes to exclude /etc,/var,/dev in /etc/init,d/halt of clients.

* Tue Jul 20 2004 Steven Shiau <steven _at_ nchc org tw> 1.1-1drbl
- Add codes for Fedora Core 2, now drbl-setup runs ok in FC2.

* Mon Jul 19 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-40drbl
- Fix the typo in client's rc.local, it's detect_cdrom, not detect-cdrom.

* Mon Jul 19 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-39drbl
- Add drblsrv wrapper script to take care drblsrv-rh and drblsrv-mdk.

* Mon Jul 19 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-38drbl
- Add notes after installing drbl-setup.

* Mon Jul 19 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-37drbl
- Make menu for PXE clients more precise.

* Sat Jul 17 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-36drbl
- Fix the bug for PXE menu, option 1 should be Linux, while "enter" key is system assigned by DRBL server.

* Sat Jul 17 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-35drbl
- Add question for setting boot prompt for PXE client or not.

* Fri Jul 16 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-34drbl
- Freedos use new name fdos1440.img instead of boot1440.img, use this new name.

* Fri Jul 16 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-33drbl
- Fix the exportfs bug by remove creating, exporting and mounting directories /home/partimag and /tftpboot/node_root/home/partimag for clonezilla in script drblpush

* Fri Jul 16 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-32drbl
- Add creating, exporting and mounting directories /home/partimag and /tftpboot/node_root/home/partimag for clonezilla in script drblpush
- Add detect cdrom in rc.local for Mandrake, since harddrake does create /dev/cdrom when client boot.
- Use the same timesync file for client and server.
- Client now has 4 options of system when using PXE to boot, i.e. system assigned by server, system in local harddrive, memtest, freedos.

* Sun Jun 27 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-31drbl
- Let Chinese characters shown when asking language. It's easier to choose the right one with readable characters.

* Sun Jun 20 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-30drbl
- fix the bug for hostname like fc1-1-00, which should be fc1-1-001. We need to get the ip_start from range.
- change the NTP server to be stdtime.sinica.edu.tw.

* Mon Jun 14 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-29drbl
- add the default value prompt of language option in drblsrv-rh, drblsrv-mdk, drblpush.

* Tue Jun 08 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-28drbl
- change the order of NFS mount parameters, fix it as r[ow],...,tcp,nolock or r[ow,...tcp,defaults so that it's easier to change the parameters by script.

* Tue Jun 08 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-27drbl
- Use the tcp options for client to mount the NFS directory, this will be betterwhen there is packet loss in LAN, maybe due to the collision in one single switch for 40 clients.
- clean the kernel.sys of freeDOS when program finishs.

* Tue Jun 01 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-26drbl
- add /var/spool/mail for client to use, now user in clent can access his/her email by using mutt.

* Thu May 28 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-25drbl
- touch the drbl client template: /tftpboot/node_root/etc/modules.conf

* Thu May 28 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-24drbl
- fix the bug, we need to add yppasswdd ypxfrd to chkconfig --add for server. 

* Thu May 21 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-23drbl
- no more the fuzzy description of the last set of digits in the IP address....

* Thu May 21 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-22drbl
- user can specify the apt repository by himself in MDK (drblsrv-mdk).

* Tue May 11 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-21drbl
- force to upgrade gpm when user has FC1, this will avoid the bug of dialog, so clonezilla will work well.

* Tue May 04 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-20drbl
- add check if DRBL kernel is available, if not found, program stop.

- fix the bug when checking alias public IP address, 0 and 255 can not only be the first and last digit, it's only for IP checking, not netmask.
* Mon May 03 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-19drbl
- fix the bug when checking alias public IP address, 0 and 255 can not only be the first and last digit, it's only for IP checking, not netmask.

* Sun May 02 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-18drbl
- fix the bug when checking alias public IP address, 0 and 255 can not only be the first and last digit.

* Tue Apr 21 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-17drbl
- recompiled.

* Tue Apr 18 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-16drbl
- it's cdialog and reiserfsprogs in MDK, not dialog and resierfs-utils

* Tue Apr 18 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-15drbl
- add code to detect if apt is compatable with DRBL in drblsrv-mdk

* Tue Apr 17 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-14drbl
- add -o RPM::Hold::="apt" when use apt-get upgrade in drblsrv-mdk.sh

* Tue Apr 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-13drbl
- fix the bug with no initial value for exist_size_in_MB in mkswapfile.

* Tue Apr 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-12drbl
- if ethernet port is not available for DRBL environment, program stop.

* Tue Apr 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-11drbl
- add option to remove kernel.*drbl when uninstalling drbl in mdk.

* Tue Apr 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-10drbl
- force to run mknic-nbi with smp option if user specifies smp kernel.
- rewrite kernel searching method for mandrake, now DRBL for Mandrake only uses kernel with tag "drbl"

* Tue Apr 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-9drbl
- when uninstall, ask if want to remove drbl-setup or not.

* Tue Apr 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-8drbl
- when uninstall, remove drbl-setup.

* Tue Apr 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-7drbl
- when user uses local HD as /tmp, rc.sysinit will not mkdir /boot/tmp.

* Tue Apr 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-6drbl
- add bc package in drblsrv-mdk.sh and drblsrv.sh.

* Fri Apr 09 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-5drbl
- let mkpxeinitrd-net take care of the copy and link for vmlinuz-pxe and initrd-net, not in drblsrv-rh or drblsrv-mdk.

* Mon Apr 05 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-4drbl
- add codes to compute the sizes of swap partition and swap file together, so that it meets the /etc/sysconfig/mkswapfile in clients.

* Sun Apr 04 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-3drbl
- Fix bug for drblsrv-mdk, we need to add $drbl_setup_path for dev path.

* Sun Apr 02 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-2drbl
- Fix typos in lang/perl/tw.Big5, and add more directories in /var/lib for clients.

* Sat Apr 01 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-1drbl
- Write drbl setup scripts as rpm package, first release.
